Launch Printer Friendly Page Security TechCenter > > Microsoft Security Bulletin MS11-031

Microsoft Security Bulletin MS11-031 - Critical

Vulnerability in JScript and VBScript Scripting Engines Could Allow Remote Code Execution (2514666)

Published: | Updated:

Version: 1.1

General Information

Executive Summary

This security update resolves a privately reported vulnerability in the JScript and VBScript scripting engines. The vulnerability could allow remote code execution if a user visited a specially crafted Web site. An attacker would have no way to force users to visit the Web site. Instead, an attacker would have to convince users to visit the Web site, typically by getting them to click a link in an e-mail message or Instant Messenger message that takes users to the attacker's Web site.

This security update is rated Critical for all supported editions of Microsoft Windows. For more information, see the subsection, Affected and Non-Affected Software, in this section.

The security update addresses the vulnerability by correcting the manner in which the JScript and VBScript scripting engines process scripts in Web pages. For more information about the vulnerability, see the Frequently Asked Questions (FAQ) subsection for the specific vulnerability entry under the next section, Vulnerability Information.

Recommendation. The majority of customers have automatic updating enabled and will not need to take any action because this security update will be downloaded and installed automatically. Customers who have not enabled automatic updating need to check for updates and install this update manually. For information about specific configuration options in automatic updating, see Microsoft Knowledge Base Article 294871.

For administrators and enterprise installations, or end users who want to install this security update manually, Microsoft recommends that customers apply the update immediately using update management software, or by checking for updates using the Microsoft Update service.

See also the section, Detection and Deployment Tools and Guidance, later in this bulletin.

Known Issues. None

Affected and Non-Affected Software

The following software have been tested to determine which versions or editions are affected. Other versions or editions are either past their support life cycle or are not affected. To determine the support life cycle for your software version or edition, visit Microsoft Support Lifecycle.

Affected Software

Operating SystemComponentMaximum Security ImpactAggregate Severity RatingBulletins Replaced by this Update
Windows XP
Windows XP Service Pack 3JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows XP Professional x64 Edition Service Pack 2JScript 5.6 and VBScript 5.6
(KB2510587)

JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2003
Windows Server 2003 Service Pack 2JScript 5.6 and VBScript 5.6
(KB2510587)

JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2003 x64 Edition Service Pack 2JScript 5.6 and VBScript 5.6
(KB2510587)

JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2003 with SP2 for Itanium-based SystemsJScript 5.6 and VBScript 5.6
(KB2510587)

JScript 5.7 and VBScript 5.7
(KB2510581)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Vista
Windows Vista Service Pack 1 and Windows Vista Service Pack 2JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2JScript 5.7 and VBScript 5.7
(KB2510581)

JScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2008
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2JScript 5.7 and VBScript 5.7**
(KB2510581)

JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2JScript 5.7 and VBScript 5.7**
(KB2510581)

JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2JScript 5.7 and VBScript 5.7
(KB2510581)
Remote Code ExecutionCriticalMS09-045,
MS10-022
Windows 7
Windows 7 for 32-bit SystemsJScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS10-022,
MS11-009
Windows 7 for 32-bit Systems Service Pack 1JScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS11-009
Windows 7 for x64-based SystemsJScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS10-022,
MS11-009
Windows 7 for x64-based Systems Service Pack 1JScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS11-009
Windows Server 2008 R2
Windows Server 2008 R2 for x64-based SystemsJScript 5.8 and VBScript 5.8**[1]
(KB2510531)
Remote Code ExecutionCriticalMS10-022,
MS11-009
Windows Server 2008 R2 for x64-based Systems Service Pack 1JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
Remote Code ExecutionCriticalMS11-009
Windows Server 2008 R2 for Itanium-based SystemsJScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS10-022,
MS11-009
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1JScript 5.8 and VBScript 5.8[1]
(KB2510531)
Remote Code ExecutionCriticalMS11-009

**Server Core installation not affected. The vulnerabilities addressed by this update do not affect supported editions of Windows Server 2008 or Windows Server 2008 R2 as indicated, when installed using the Server Core installation option. For more information on this installation option, see the TechNet articles, Managing a Server Core Installation and Servicing a Server Core Installation. Note that the Server Core installation option does not apply to certain editions of Windows Server 2008 and Windows Server 2008 R2; see Compare Server Core Installation Options.

[1]Systems with Internet Explorer 9 installed are not affected and do not require this update. Systems that have not been upgraded with Internet Explorer 9 will need the correct update for the versions of the JScript and VBScript scripting engines installed on them. For instructions on how to determine the versions of the JScript and VBScript scripting engines installed on your system, see Frequently Asked Questions (FAQ) Related to This Security Update below.

Non-Affected Software

Operating SystemComponent
Windows Vista Service Pack 2JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows Vista x64 Edition Service Pack 2JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows Server 2008 for 32-bit Systems Service Pack 2JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows Server 2008 for x64-based Systems Service Pack 2JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1JScript 5.8 and VBScript 5.8 installed with Internet Explorer 9

Frequently Asked Questions (FAQ) Related to This Security Update

Vulnerability Information

Severity Ratings and Vulnerability Identifiers

Scripting Memory Reallocation Vulnerability - CVE-2011-0663

Update Information

Detection and Deployment Tools and Guidance

Security Update Deployment

Other Information

Acknowledgments

Microsoft thanks the following for working with us to help protect customers:

  • Jesse Ruderman of Mozilla for working with us on the Scripting Memory Reallocation Vulnerability (CVE-2011-0663)

Microsoft Active Protections Program (MAPP)

To improve security protections for customers, Microsoft provides vulnerability information to major security software providers in advance of each monthly security update release. Security software providers can then use this vulnerability information to provide updated protections to customers via their security software or devices, such as antivirus, network-based intrusion detection systems, or host-based intrusion prevention systems. To determine whether active protections are available from security software providers, please visit the active protections Web sites provided by program partners, listed in Microsoft Active Protections Program (MAPP) Partners.

Support

  • Customers in the U.S. and Canada can receive technical support from Security Support or 1-866-PCSAFETY. There is no charge for support calls that are associated with security updates. For more information about available support options, see Microsoft Help and Support.
  • International customers can receive support from their local Microsoft subsidiaries. There is no charge for support that is associated with security updates. For more information about how to contact Microsoft for support issues, visit the International Support Web site.

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (April 12, 2011): Bulletin published.
  • V1.1 (April 20, 2011): Bulletin updated to clarify that the JScript 5.8 and VBScript 5.8 update (KB2510531) also replaces MS09-045, in addition to MS10-022, for all supported editions of Windows XP, Windows Server 2003, Windows Vista, and Windows Server 2008.